Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.inference.protegeowl.task.protegereasoner
Class ClassifyTaxonomyTask

    java.lang.Object
      edu.stanford.smi.protegex.owl.inference.protegeowl.task.protegereasoner.AbstractReasonerTask
          edu.stanford.smi.protegex.owl.inference.protegeowl.task.protegereasoner.ClassifyTaxonomyTask

All Implemented Interfaces:
  ReasonerTask, ReasonerTaskListener

    public class ClassifyTaxonomyTask

extends AbstractReasonerTask
implements ReasonerTaskListener

User: matthewhorridge
The Univeristy Of Manchester
Medical Informatics Group
Date: Aug 16, 2004

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

The classify taxonomy task excompases three reasoner tasks:
a) Checking an updating for inconsistent concepts
b) Computing the inferred superclasses for consistent concepts
c) Computing equivalent concepts for consistent concepts

Constructor Summary
`ClassifyTaxonomyTask(ProtegeReasoner protegeReasoner)`

Method Summary
`void` | `addedToTask(ReasonerTaskEvent event)`
`void` | `descriptionChanged(ReasonerTaskEvent event)`
`int` | `getTaskSize()` Gets the size of the task.
`void` | `messageChanged(ReasonerTaskEvent event)`
`void` | `progressChanged(ReasonerTaskEvent event)`
`void` | `progressIndeterminateChanged(ReasonerTaskEvent event)`
`void` | `run()` Executes the task.
`void` | `setRequestAbort()`
`void` | `taskCompleted(ReasonerTaskEvent event)`
`void` | `taskFailed(ReasonerTaskEvent event)`

Methods inherited from class edu.stanford.smi.protegex.owl.inference.protegeowl.task.protegereasoner.AbstractReasonerTask
`addTaskListener, doAbortCheck, fireDescriptionChangedEvent, fireMessageChangedEvent, fireProgressChangedEvent, fireProgressIndeterminateChnaged, fireTaskCompletedEvent, fireTaskFailedEvent, getDescription, getMessage, getProgress, isProgressIndeterminate, isRequestAbort, postLogRecord, removeTaskListener, setDescription, setMessage, setProgress, setProgressIndeterminate, setTaskCompleted, setTaskFailed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassifyTaxonomyTask

    public ClassifyTaxonomyTask(ProtegeReasoner protegeReasoner)

Method Detail

### getTaskSize

    public int getTaskSize()

  Description copied from interface: `ReasonerTask`
  Gets the size of the task. When the progress reaches this size, the task should be complete.

  Specified by:
    `getTaskSize` in interface `ReasonerTask`

### run

    public void run()
             throws ProtegeReasonerException

  Description copied from interface: `ReasonerTask`
  Executes the task.

  Specified by:
    `run` in interface `ReasonerTask`
  Throws:
    `ProtegeReasonerException`

### progressChanged

    public void progressChanged(ReasonerTaskEvent event)

  Specified by:
    `progressChanged` in interface `ReasonerTaskListener`

### progressIndeterminateChanged

    public void progressIndeterminateChanged(ReasonerTaskEvent event)

  Specified by:
    `progressIndeterminateChanged` in interface `ReasonerTaskListener`

### descriptionChanged

    public void descriptionChanged(ReasonerTaskEvent event)

  Specified by:
    `descriptionChanged` in interface `ReasonerTaskListener`

### messageChanged

    public void messageChanged(ReasonerTaskEvent event)

  Specified by:
    `messageChanged` in interface `ReasonerTaskListener`

### taskFailed

    public void taskFailed(ReasonerTaskEvent event)

  Specified by:
    `taskFailed` in interface `ReasonerTaskListener`

### taskCompleted

    public void taskCompleted(ReasonerTaskEvent event)

  Specified by:
    `taskCompleted` in interface `ReasonerTaskListener`

### addedToTask

    public void addedToTask(ReasonerTaskEvent event)

  Specified by:
    `addedToTask` in interface `ReasonerTaskListener`

### setRequestAbort

    public void setRequestAbort()

  Specified by:
    `setRequestAbort` in interface `ReasonerTask`
  Overrides:
    `setRequestAbort` in class `AbstractReasonerTask`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.